Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004610OCaml~DO NOT USE (was: OCaml general)public2008-09-01 09:442013-08-31 12:46
Reporterfrisch 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionsuspended 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0004610: Feature wish: open in recursive signatures
DescriptionIt would be very cool if the following could be made to work. I understand this is tricky (one probably needs more of a graph-like representation for approximated module types).

module rec TYPES : sig
  open TYPES

  type a = b
  type b

end = struct
  open TYPES

  type a = b
  type b
end
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0005630closedfrisch "open" broken in signatures of recursive modules 

-  Notes
(0004786)
doligez (administrator)
2008-12-03 13:48

probably too tricky...

- Issue History
Date Modified Username Field Change
2008-09-01 09:44 frisch New Issue
2008-12-03 13:48 doligez Note Added: 0004786
2008-12-03 13:48 doligez Status new => acknowledged
2012-01-31 22:58 frisch Status acknowledged => resolved
2012-01-31 22:58 frisch Resolution open => suspended
2012-01-31 22:58 frisch Assigned To => frisch
2012-02-01 10:22 gasche Assigned To frisch =>
2012-06-01 04:52 frisch Relationship added has duplicate 0005630
2013-08-31 12:46 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker